C$Procedure      SPEAKR ( Displays TCP2SCET trace information )
 
      SUBROUTINE SPEAKR ( LINE )
 
C$ Abstract
C
C     This is an umbrella with three entry points.
C
C$ Copyright
C
C     Copyright (2003), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     None.
C
C$ Declarations
 
      IMPLICIT NONE
 
      CHARACTER*(*)         LINE
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     LINE       I   Line to write to output. (Entry SPEAK)
C     LINE       O   Line indicating speaker state (Entry SPEKST)
C
C$ Detailed_Input
C
C     LINE           Line to display.
C
C$ Detailed_Output
C
C     LINE           Line indicating SPEAKER state: 'ON' or 'OFF'.
C
C$ Particulars
C
C     Entry points:
C
C        SPEKON         Turn the speaker ON.
C
C        SPEKON         Return speaker state ('ON' or 'OFF').
C
C        SPEAK          Write input line to STDOUT.
C
C$ Author_and_Institution
C
C     B.V.Semenov      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    TCP2SCET Version 2.0.0, 13-DEC-2001 (BVS)    
C
C        Added SPEKST entry.
C
C-    TCP2SCET Version 1.0.0, 13-MAY-1998 (BVS)
C
C
C-&

      LOGICAL               ENABLD
      
C
C     SPICELIB functions.
C  
      LOGICAL               RETURN
      
      SAVE
      
      DATA  ENABLD  /.FALSE./
      
      RETURN
 
 
C$Procedure      SPEKON (Turn the speaker ON)
 
      ENTRY SPEKON

C$ Abstract
C
C     Turn the speaker ON.
C
C$ Copyright
C
C     Copyright (1995), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Author_and_Institution
C
C     B.V. Semenov     (JPL)
C
C$ Version
C
C-    TCP2SCET Version 1.0.0, 16-SEP-2003 (BVS)
C 
C        Stolen from CHRONOS. Then global-replaced and further tweaked
C        to be TCP2SCET-specific.
C
C-&
   
      ENABLD = .TRUE.
      
      RETURN
      
 
C$Procedure      SPEKST ( Return speaker state )
 
      ENTRY SPEKST( LINE )

C$ Abstract
C
C     Return the speaker state ('ON' or 'OFF').
C
C$ Copyright
C
C     Copyright (1995), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Author_and_Institution
C
C     B.V. Semenov     (JPL)
C
C$ Version
C
C-    TCP2SCET Version 1.0.0, 16-SEP-2003 (BVS)
C 
C        Stolen from CHRONOS. Then global-replaced and further tweaked
C        to be TCP2SCET-specific.
C
C-&
   
      IF ( ENABLD ) THEN
         LINE = 'ON'
      ELSE
         LINE = 'OFF'
      END IF
      
      RETURN
      
 
C$Procedure      SPEAK (Speaks :)
 
      ENTRY SPEAK( LINE )
      
C$ Abstract
C
C     Write line to STDOUT if speaker is ON.
C
C$ Copyright
C
C     Copyright (1995), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Author_and_Institution
C
C     B.V. Semenov     (JPL)
C
C$ Version
C
C-    TCP2SCET Version 1.0.0, 16-SEP-2003 (BVS)
C 
C        Stolen from CHRONOS. Then global-replaced and further tweaked
C        to be TCP2SCET-specific.
C
C-&

C
C     Standard SPICE error handling.
C
      IF ( RETURN () ) THEN
         RETURN
      ELSE
         CALL CHKIN ( 'SPEAK' )
      END IF

C
C     Write the line if enabled.
C
      IF ( ENABLD ) THEN
         CALL TOSTDO( LINE )
      END IF
      
      CALL CHKOUT ( 'SPEAK' )

      RETURN
      END
 
